## com.icl.saxon.aelfred
Class SAXParserFactoryImpl

    java.lang.Object
      javax.xml.parsers.SAXParserFactory
          com.icl.saxon.aelfred.SAXParserFactoryImpl

public class SAXParserFactoryImpl
extends SAXParserFactory

Implements the JAXP 1.1 ParserFactory interface. To use the AElfred parser, set the system property javax.xml.parsers.SAXParserFactory to the value "com.icl.saxon.aelfred.SAXParserFactoryImpl"; then call javax.xml.parsers.SAXParserFactory.newInstance().newSAXParser().

Constructor Summary
`SAXParserFactoryImpl()`

Method Summary
`boolean` `getFeature(java.lang.String name)` Returns the particular property requested for in the underlying implementation of org.xml.sax.XMLReader.
`SAXParser` `newSAXParser()` Creates a new instance of a SAXParser using the currently configured factory parameters.
`void` `setFeature(java.lang.String name, boolean value)` Sets the particular feature in the underlying implementation of org.xml.sax.XMLReader.

Methods inherited from class javax.xml.parsers.SAXParserFactory
`getSchema, isNamespaceAware, isValidating, isXIncludeAware, newInstance, setNamespaceAware, setSchema, setValidating, setXIncludeAware`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAXParserFactoryImpl

    public SAXParserFactoryImpl()

Method Detail

### getFeature

    public boolean getFeature(java.lang.String name)
                       throws org.xml.sax.SAXNotRecognizedException,
                              org.xml.sax.SAXNotSupportedException

  Description copied from class: `SAXParserFactory`

  Returns the particular property requested for in the underlying implementation of org.xml.sax.XMLReader.

  Specified by:
    `getFeature` in class `SAXParserFactory`
  Parameters:
    `name` - The name of the property to be retrieved.
  Returns:
    Value of the requested property.
  Throws:
    `org.xml.sax.SAXNotRecognizedException` - When the underlying XMLReader does not recognize the property name.
    `org.xml.sax.SAXNotSupportedException` - When the underlying XMLReader recognizes the property name but doesn't support the property.
  See Also:
    `XMLReader.getProperty(java.lang.String)`

### setFeature

    public void setFeature(java.lang.String name,
                           boolean value)
                    throws org.xml.sax.SAXNotRecognizedException,
                           org.xml.sax.SAXNotSupportedException

  Description copied from class: `SAXParserFactory`

  Sets the particular feature in the underlying implementation of org.xml.sax.XMLReader. A list of the core features and properties can be found at http://www.saxproject.org/

  All implementations are required to support the `XMLConstants.FEATURE_SECURE_PROCESSING` feature. When the feature is

  - `true`: the implementation will limit XML processing to conform to implementation limits. Examples include enity expansion limits and XML Schema constructs that would consume large amounts of resources. If XML processing is limited for security reasons, it will be reported via a call to the registered `ErrorHandler.fatalError(SAXParseException exception)`. See `SAXParser` `parse` methods for handler specification.
  - When the feature is `false`, the implementation will processing XML according to the XML specifications without regard to possible implementation limits.

  Specified by:
    `setFeature` in class `SAXParserFactory`
  Parameters:
    `name` - The name of the feature to be set.
    `value` - The value of the feature to be set.
  Throws:
    `org.xml.sax.SAXNotRecognizedException` - When the underlying XMLReader does not recognize the property name.
    `org.xml.sax.SAXNotSupportedException` - When the underlying XMLReader recognizes the property name but doesn't support the property.
  See Also:
    `XMLReader.setFeature(java.lang.String, boolean)`

### newSAXParser

    public SAXParser newSAXParser()
                           throws ParserConfigurationException

  Description copied from class: `SAXParserFactory`

  Creates a new instance of a SAXParser using the currently configured factory parameters.

  Specified by:
    `newSAXParser` in class `SAXParserFactory`
  Returns:
    A new instance of a SAXParser.
  Throws:
    `ParserConfigurationException` - if a parser cannot be created which satisfies the requested configuration.